## ganeti 2.12.4

=== debian/changelog ===
ganeti (2.12.4-1+deb8u3) jessie-security; urgency=high

  * Fix gnt-instance info regression after CVE-2015-7945 (Closes: #810850)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 13 Jan 2016 11:51:48 +0200

ganeti (2.12.4-1+deb8u2) jessie-security; urgency=medium

  * Redact the DRBD secret in instance queries (CVE-2015-7945).
  * RAPI hardening: bind to lo and require authentication (CVE-2015-7944).
  * Add NEWS entry documenting RAPI hardening.
  * Add DEP-8 tests from unstable
    + Ship missing QA files from upstream git.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 22 Dec 2015 23:57:41 +0200

ganeti (2.12.4-1~deb8u1) jessie; urgency=medium

  [ Apollon Oikonomopoulos ]
  * New upstream bugfix release (see /usr/share/doc/ganeti/NEWS.gz):
    Fixes in 2.12.1:
      + Clean up stale livelock files
      + Fix setting up the metadata daemon's network interface for Xen
      + Make the watcher visible on the reason trail on disk activation
      + Allow `gnt-instance grow-disk' to ignore instance policy
      + Fix counting votes when doing master failover
      + Properly check for IPv6 use before making an SSH connection
      + Properly check if an instance exists in `gnt-instance console'

    Fixes in 2.12.2:
      + Detect and report non-master status on socket connection errors
        (closes: #783388, #781084)
      + Improve error handling when looking up instances (closes: #776770)
      + SSH keys are now distributed only to master and master candidates
      + Improve performance for operations with frequent configuration reads
      + Improve robustness of spawning job processes, fixing timeouts
      + Fix a race condition that caused cluster verify to fail
      + Fix failing automatic glusterfs mounts
      + Fix watcher failing to read its status file on upgrade
      + Fix Xen instance state handling, taking transitional states into
        account (closes: #776772)
      + Fix conversion of diskless DRBD instances to plain
      + Fix upgrades from pre-2.6 versions, by handling hv_state_static and
        disk_state_static configuration fields
      + Fix a memory leak in the monitoring daemon
      + Fix a file descriptor leak in the ConfD client

    Fixes in 2.12.3:
      + Fix config.data upgrade issues from older versions (closes: #783186)
      + Do not allow the master node to lose its master capability
      + Properly display externally reserved IPs in `gnt-network info' output
      + Properly distribute ssconf_hvparams_* using ssconf
      + Improve `gnt-cluster renew-crypto' robustness against node
        reachability errors
      + Make sure the master IP is always removed from the old master after
        master-failover
      + Work around Python's os.minor() not supporting devices with high
        (> 255) minor numbers (closes: #782073)
      + Fix Luxid failure when DNS returns an IPv6 address that does not
        reverse resolve

    Fixes in 2.12.4:
      + Fix a performance regression in 2.12 during gnt-cluster verify and
        gnt-cluster verify-disks (high CPU usage) (closes: #784620).
      + Make the RAPI responsive after master-failover.
      + Fix gnt-cluster verify reporting existing instance disks on
        non-default VGs as missing.
  * Drop fix-wconfd-metad patch, merged upstream.
  * d/copyright: adjust copyright years

  [ Gregory Potamianos ]
  * molly-guard: detect master status and warn when attempting to shutdown or
    reboot the master node.

  [ Debconf translations ]
  * Dutch (Frans Spiesschaert, closes: #765856)
  * Swedish (Martin Bagge, closes: #769870)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 24 May 2015 20:07:22 +0300
