=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Uploaders: Guido Trotter <ultrotter@debian.org>,
  Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper (>= 9),
- dh-autoreconf,
  m4,
  python-all,
  ghc (>= 6.12),
