=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 GNT_USERGROUP_PREFIX="gnt-"
 
 %:
-	dh $@ --with python2,sphinxdoc,bash_completion,autoreconf
+	dh $@ --with python2,sphinxdoc,bash_completion
 
 debian/control: debian/control.in vcs-version
 	sed -s 's/#VER#/$(VER)/g' debian/control.in > debian/control
@@ -82,7 +82,8 @@
 
 	cp $(CURDIR)/doc/examples/ganeti.initd $(CURDIR)/debian/ganeti.init
 	cp $(CURDIR)/doc/examples/ganeti.cron $(CURDIR)/debian/ganeti.cron.d
-	cp $(CURDIR)/doc/examples/ganeti.default $(CURDIR)/debian/ganeti.default
+	sed -e 's/^RAPI_ARGS=.*/RAPI_ARGS="-b 127.0.0.1 --require-authentication"/' \
+		$(CURDIR)/doc/examples/ganeti.default > $(CURDIR)/debian/ganeti.default
 
 	# Dummy Python module for the RAPI client
 	# Add missing bits to ganeti and python-ganeti-rapi.
