## ganeti 2.14.1

=== debian/changelog ===
ganeti (2.14.1-1) unstable; urgency=medium

  * Upload to unstable
  * B-D on libghc-cabal-dev to ensure Ganeti's build system can parse the
    cabal-generated setup-config.
  * Use the complete Debian version as vcs-version.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 11 Aug 2015 14:28:30 +0300

ganeti (2.14.1-1~exp1) experimental; urgency=medium

  * New upstream stable series
    + B-D on libghc-psqueue-dev, cabal-install, libghc-temporary-dev,
      libghc-test-framework-quickcheck2 and libghc-test-framework-hunit
    + Update packaging for 2.14
    + d/watch: track 2.14 releases
  * Packaging overhaul
    + Convert gbp to use upstream's git directly
      o Use dh-autoreconf and run upstream's autogen.sh
      o B-D on pandoc to build the manpages
      o Drop doc/html entries from d/copyright, as we don't ship a source
        package with pre-generated documentation anymore
      o d/gbp.conf: set git-dch defaults
      o d/gbp.conf: track stable-2.14 upstream branch
      o Generate vcs-version from Debian version during build
    + Drop old/obsolete patches:
      o d/patches/upgrade-from-1.2.patch
      o d/patches/0003-Disable-local-checks-during-build.patch
  * Patch Makefile.am to use C.UTF-8 to avoid an extra B-D on locales-all
  * cabal: relax upstream's dependency versions libghc-utf8-string-dev to
    allow building against libghc-json-dev 0.9.1 and libghc-utf8-string-dev 1.
  * Run upstream's QA suite as DEP-8 automatic as-installed package tests.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 20 Jul 2015 17:23:10 +0300
