=== debian/control ===
--- 
+++ 
@@ -4,11 +4,14 @@
 Maintainer: Debian Ganeti Team <pkg-ganeti-devel@lists.alioth.debian.org>
 Uploaders: Guido Trotter <ultrotter@debian.org>,
  Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9), dh-autoreconf,
  m4,
+ pandoc,
  python-all,
  ghc (>= 6.12),
  ghc-ghci,
+ cabal-install,
+ libghc-cabal-dev (>= 1.20),
  libghc-curl-dev,
  libghc-json-dev,
  libghc-snap-server-dev,
@@ -27,6 +30,10 @@
  libghc-vector-dev,
  libghc-lifted-base-dev,
  libghc-lens-dev,
+ libghc-psqueue-dev,
+ libghc-test-framework-quickcheck2-dev,
+ libghc-test-framework-hunit-dev,
+ libghc-temporary-dev,
  libpcre3-dev,
  libcurl4-openssl-dev,
  python-simplejson,
@@ -60,11 +67,11 @@
 Architecture: all
 Breaks: ganeti2 (<< 2.7.0-2), ganeti-haskell
 Replaces: ganeti2 (<< 2.7.0-2), ganeti-haskell, ganeti-htools
-Depends: ganeti-2.12 (= ${source:Version}),
- ganeti-haskell-2.12 (>= ${source:Version}),
- ganeti-haskell-2.12 (<< ${source:Version}.1~),
- ganeti-htools-2.12 (>= ${source:Version}),
- ganeti-htools-2.12 (<< ${source:Version}.1~),
+Depends: ganeti-2.14 (= ${source:Version}),
+ ganeti-haskell-2.14 (>= ${source:Version}),
+ ganeti-haskell-2.14 (<< ${source:Version}.1~),
+ ganeti-htools-2.14 (>= ${source:Version}),
+ ganeti-htools-2.14 (<< ${source:Version}.1~),
  adduser, ${misc:Depends}, python
 Recommends: drbd-utils | drbd8-utils (>= 8.0.7), qemu-kvm |
  xen-linux-system-amd64 | xen-linux-system-686-pae,
@@ -87,7 +94,7 @@
  .
  This package installs the complete Ganeti system.
 
-Package: ganeti-2.12
+Package: ganeti-2.14
 Architecture: all
 Depends: ${shlibs:Depends},
  ${misc:Depends},
@@ -127,9 +134,9 @@
  OS-specific install scripts), startup, shutdown, and failover of instances
  between physical systems.
  .
- This package provides all architecture-independent components of Ganeti 2.12.
-
-Package: ganeti-haskell-2.12
+ This package provides all architecture-independent components of Ganeti 2.14.
+
+Package: ganeti-haskell-2.14
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0
 Description: cluster virtualization manager - Haskell components
@@ -145,12 +152,12 @@
  OS-specific install scripts), startup, shutdown, and failover of instances
  between physical systems.
  .
- This package provides the architecture-dependent components of Ganeti 2.12
+ This package provides the architecture-dependent components of Ganeti 2.14
  written in Haskell.
 
 Package: ganeti-htools
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ganeti-htools-2.12
+Depends: ${shlibs:Depends}, ${misc:Depends}, ganeti-htools-2.14
 Breaks: ganeti2 (<< 2.4)
 Description: cluster virtualization manager - tools (stand-alone)
  Ganeti is a virtual server cluster management tool built on top of the
@@ -173,10 +180,10 @@
  This package provides the version intended for stand-alone systems that
  are not part of a Ganeti cluster.
 
-Package: ganeti-htools-2.12
+Package: ganeti-htools-2.14
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: cluster virtualization manager - tools for Ganeti 2.12
+Description: cluster virtualization manager - tools for Ganeti 2.14
  Ganeti is a virtual server cluster management tool built on top of the
  Xen and KVM virtualization technologies and other free software. It
  provides an automated environment to manage highly available virtual
@@ -195,7 +202,7 @@
   * hspace: cluster capacity calculator.
  .
  This package provides the version intended for use on systems that are part
- of a Ganeti 2.12 cluster. On stand-alone systems, use ganeti-htools instead.
+ of a Ganeti 2.14 cluster. On stand-alone systems, use ganeti-htools instead.
 
 Package: ganeti-doc
 Architecture: all
