=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-VER = $(shell cat vcs-version | sed -r 's/v([0-9]+\.[0-9]+)(\..*)/\1/')
+VER = $(shell dpkg-parsechangelog -Sversion | sed -r 's/([0-9]+\.[0-9]+)(\..*)/\1/')
 
 GNT_USERGROUP_PREFIX="gnt-"
 
 %:
-	dh $@ --with python2,sphinxdoc,bash_completion
+	dh $@ --with python2,sphinxdoc,bash_completion,autoreconf
 
-debian/control: debian/control.in vcs-version
+debian/control: debian/control.in
 	sed -s 's/#VER#/$(VER)/g' debian/control.in > debian/control
 
 genfiles:
@@ -28,7 +28,11 @@
 		done; \
 	done
 
+override_dh_autoreconf:
+	dh_autoreconf $(CURDIR)/autogen.sh
+
 override_dh_auto_configure:
+	dpkg-parsechangelog -Sversion > vcs-version
 	./configure \
 	  --prefix=/usr \
 	  --localstatedir=/var \
@@ -56,18 +60,11 @@
 	rm -f debian/ganeti.default
 	rm -f debian/ganeti.postinst
 	rm -f debian/ganeti.postrm
-	if [ -d doc/html.orig ]; then \
-		rm -rf doc/html; \
-		mv doc/html.orig doc/html; \
-	fi
+	rm -f vcs-version
 	dh_auto_clean
 
 override_dh_auto_build:
 	dh_auto_build
-
-	# Rebuild the sphinx documentation
-	mv doc/html doc/html.orig
-	$(MAKE) doc/html
 
 	# Generate postinst and postrm scripts
 	$(CURDIR)/debian/genscript.py postinst "$(CURDIR)" | \
@@ -82,8 +79,7 @@
 
 	cp $(CURDIR)/doc/examples/ganeti.initd $(CURDIR)/debian/ganeti.init
 	cp $(CURDIR)/doc/examples/ganeti.cron $(CURDIR)/debian/ganeti.cron.d
-	sed -e 's/^RAPI_ARGS=.*/RAPI_ARGS="-b 127.0.0.1 --require-authentication"/' \
-		$(CURDIR)/doc/examples/ganeti.default > $(CURDIR)/debian/ganeti.default
+	cp $(CURDIR)/doc/examples/ganeti.default $(CURDIR)/debian/ganeti.default
 
 	# Dummy Python module for the RAPI client
 	# Add missing bits to ganeti and python-ganeti-rapi.
@@ -147,4 +143,4 @@
 .PHONY: override_dh_auto_configure override_dh_auto_clean override_dh_auto_build \
 	override_dh_installinit override_dh_install-indep override_dh_sphinxdoc-arch \
 	override_dh_auto_test override_dh_compress override_dh_python2 \
-	override_dh_link genfiles
+	override_dh_link genfiles override_dh_autoreconf
