=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.sig/ \
 http://downloads.ganeti.org/releases/2.14/ ganeti-(\d+\.\d+[\d.]+(?:~rc[0-9]+)?)\.tar\.gz
