## ganeti 2.15.0

=== debian/changelog ===
ganeti (2.15.0-1) unstable; urgency=medium

  * Upload to unstable, no real changes.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 17 Aug 2015 14:00:37 +0300

ganeti (2.15.0-1~exp1) experimental; urgency=medium

  * New upstream stable series:
    + Support for sphinx 1.3 (closes: #789394)
    + Add cabal-dev dependency to control.in
    + Update packaging for 2.15
    + B-D on libghc-case-insensitive-dev
  * Upload to experimental

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 11 Aug 2015 15:29:29 +0300
