## ganeti 2.15.1

=== debian/changelog ===
ganeti (2.15.1-1) unstable; urgency=medium

  * New upstream bugfix release: 
    + The ext template now allows userspace-only disks to be used.
    + Fixed the silently broken 'gnt-instance replace-disks --ignore-ipolicy'
      command.
    + User shutdown reporting can now be disabled on Xen using the
      '--user-shutdown' flag.
    + Remove falsely reported communication NIC error messages on instance
      start.
    + Fix 'gnt-node migrate' behavior when no instances are present on a node.
    + Fix the multi-allocation functionality for non-DRBD instances.
  * Fix typos in latest NEWS.Debian entry.
  * Refresh d/patches/relax-deps.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 09 Sep 2015 19:42:44 +0300
