=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  ghc-ghci,
  cabal-install,
  libghc-cabal-dev (>= 1.20),
+ libghc-case-insensitive-dev,
  libghc-curl-dev,
  libghc-json-dev,
  libghc-snap-server-dev,
@@ -67,11 +68,11 @@
 Architecture: all
 Breaks: ganeti2 (<< 2.7.0-2), ganeti-haskell
 Replaces: ganeti2 (<< 2.7.0-2), ganeti-haskell, ganeti-htools
-Depends: ganeti-2.14 (= ${source:Version}),
- ganeti-haskell-2.14 (>= ${source:Version}),
- ganeti-haskell-2.14 (<< ${source:Version}.1~),
- ganeti-htools-2.14 (>= ${source:Version}),
- ganeti-htools-2.14 (<< ${source:Version}.1~),
+Depends: ganeti-2.15 (= ${source:Version}),
+ ganeti-haskell-2.15 (>= ${source:Version}),
+ ganeti-haskell-2.15 (<< ${source:Version}.1~),
+ ganeti-htools-2.15 (>= ${source:Version}),
+ ganeti-htools-2.15 (<< ${source:Version}.1~),
  adduser, ${misc:Depends}, python
 Recommends: drbd-utils | drbd8-utils (>= 8.0.7), qemu-kvm |
  xen-linux-system-amd64 | xen-linux-system-686-pae,
@@ -94,7 +95,7 @@
  .
  This package installs the complete Ganeti system.
 
-Package: ganeti-2.14
+Package: ganeti-2.15
 Architecture: all
 Depends: ${shlibs:Depends},
  ${misc:Depends},
@@ -134,9 +135,9 @@
  OS-specific install scripts), startup, shutdown, and failover of instances
  between physical systems.
  .
- This package provides all architecture-independent components of Ganeti 2.14.
-
-Package: ganeti-haskell-2.14
+ This package provides all architecture-independent components of Ganeti 2.15.
+
+Package: ganeti-haskell-2.15
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0
 Description: cluster virtualization manager - Haskell components
@@ -152,12 +153,12 @@
  OS-specific install scripts), startup, shutdown, and failover of instances
  between physical systems.
  .
- This package provides the architecture-dependent components of Ganeti 2.14
+ This package provides the architecture-dependent components of Ganeti 2.15
  written in Haskell.
 
 Package: ganeti-htools
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ganeti-htools-2.14
+Depends: ${shlibs:Depends}, ${misc:Depends}, ganeti-htools-2.15
 Breaks: ganeti2 (<< 2.4)
 Description: cluster virtualization manager - tools (stand-alone)
  Ganeti is a virtual server cluster management tool built on top of the
@@ -180,10 +181,10 @@
  This package provides the version intended for stand-alone systems that
  are not part of a Ganeti cluster.
 
-Package: ganeti-htools-2.14
+Package: ganeti-htools-2.15
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: cluster virtualization manager - tools for Ganeti 2.14
+Description: cluster virtualization manager - tools for Ganeti 2.15
  Ganeti is a virtual server cluster management tool built on top of the
  Xen and KVM virtualization technologies and other free software. It
  provides an automated environment to manage highly available virtual
@@ -202,7 +203,7 @@
   * hspace: cluster capacity calculator.
  .
  This package provides the version intended for use on systems that are part
- of a Ganeti 2.14 cluster. On stand-alone systems, use ganeti-htools instead.
+ of a Ganeti 2.15 cluster. On stand-alone systems, use ganeti-htools instead.
 
 Package: ganeti-doc
 Architecture: all
