## ganeti 2.15.2

=== debian/changelog ===
ganeti (2.15.2-7+deb9u3) stretch; urgency=medium

  * Properly verify SSL certificates during VM export (#2) (Closes: #895599, #908112)
  * Sign generated certificates using SHA256 instead of SHA1 (Closes: #907569)
    + d/NEWS: ask users to run gnt-cluster renew-crypto
    + cluster verify: warn about weak certificates
  * Make bash completions autoloadable (Closes: #864755)
    + Cleanup obsolete /etc/bash_completion.d/ganeti

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 08 Sep 2018 20:22:03 +0300

ganeti (2.15.2-7+deb9u2) stretch; urgency=medium

  * Properly verify SSL certificates during VM export (Closes: #895599)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 11 Jun 2018 17:42:10 +0300

ganeti (2.15.2-7+deb9u1) stretch; urgency=medium

  * Depend on lsb-base (>= 3.0.6) for init-functions.
  * Backport upstream support for non-DSA SSH keys (Closes: #853129).
    + non-DSA-SSH-key-support.patch: backport upstream work from the
      (unreleased as of today) stable-2.16 branch.
    + fix-ssh-key-renewal-on-single-node-clusters.patch: fix gnt-cluster
      renew-crypto --new-ssh-keys on single-node clusters.
    + set-defaults-for-ssh-type-bits.patch: transparently handle the new SSH
      key type/length parameters without running cfgupgrade.
  * Fix failover from dead nodes when using extstorage (Closes: #864756).
  * Fix pre-migration version compatibility check that would always fail when
    different HV versions were detected. Note that this does not mean that
    migrations between different KVM versions are safe and/or supported!
  * Fix instance import/export/move with current socat versions, by letting
    socat decide the best TLS method to use (Closes: #871771).

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 03 Oct 2017 17:31:05 +0300

ganeti (2.15.2-7) unstable; urgency=medium

  * Drop dependency on MonadCatchIO-transformers (Closes: #844970)
  * d/patches/ghc8-fixes: fix FTBFS with GHC 8.
  * d/patches/snap-server-1.0-compat: patch MetaD to fix FTBFS with
    snap-server 1.0. Thanks to Yannis Tsiouris for the patch!
  * Fix cabal masking logic to work with newer cabal-install versions.
  * ganeti: Recommend xen-system-amd64 instead of xen-linux-system-amd64 |
    xen-linux-system-686-pae (Closes: #847290)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 13 Dec 2016 17:40:29 +0200

ganeti (2.15.2-6) unstable; urgency=medium

  * Auto-detect the cabal library version used by cabal and force the exact
    same version to be used for parsing dist/setup-config. This currently
    fixes FTBFS on mips64el and should make building ganeti more robust.
  * Re-introduce the versioned dependency on libghc-cabal-dev to have both
    cabal library versions (ghc and external) available on the system.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 24 Jul 2016 21:51:40 +0300

ganeti (2.15.2-5) unstable; urgency=medium

  * d/control: use libghc-cabal-dev only on amd64; this is a temporary
    workaround for #832144.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 22 Jul 2016 23:00:02 +0300

ganeti (2.15.2-4) unstable; urgency=medium

  * Fix FTBFS with sphinx 1.4 (Closes: #829186)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 09 Jul 2016 10:13:13 +0200

ganeti (2.15.2-3) unstable; urgency=medium

  * Fix FTBFS with sphinx >= 1.3.5 (Closes: #816978).
  * d/control: switch all URLs to HTTPS.
  * Bump standards to 3.9.7; no changes needed.
  * Build-Depend on dh-python.
  * Set the Python interpreter path to /usr/bin/python, to avoid having
    scripts with #!/usr/bin/python2.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 07 Mar 2016 09:44:35 +0200

ganeti (2.15.2-2) unstable; urgency=medium

  * Add a patch to allow building against haskell-zlib 0.6 and relax
    attoparsec and zlib deps (Closes: #811233).

  [ Debconf translations ]
  * Brazilian Portuguese (Adriano Rafael Gomes, closes: #811515)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 18 Jan 2016 15:46:10 +0200

ganeti (2.15.2-1) unstable; urgency=high

  * New upstream bugfix release (see /usr/share/doc/ganeti/NEWS.gz):
    + Fixes CVE-2015-7945
  * RAPI hardening: bind to lo and require authentication
    + Workaround for CVE-2015-7944

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 30 Dec 2015 16:22:46 +0200

ganeti (2.15.1-2) unstable; urgency=medium

  * vcluster-qa: use an RSA SSH key
    OpenSSH 7.x has deprecated DSA host/user keys. Use an RSA key for the QA
    suite.
  * Remove lens version restriction from cabal template and add missing B-D on
    libghc-old-time-dev (closes: #808656)
  * Fix compilation with GHC 7.10/base 4.8:
    + Backport the following upstream commits:
      o 3aaf10b Define MonadPlus instance definitions using Alternative
      o 503470f Hide isSubsequenceOf when importing from Data.List
      o 1757234 Add signatures for some ambiguous types
      o 1f6838f Append a string when using newName on keywords
      o d61e580 Explicitly define NFData instance for ResultStatus
    + Set FlexibleContexts on src/Ganeti/WConfd/ConfigModifications.hs

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 21 Dec 2015 22:16:35 +0200
