=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Guido Trotter <ultrotter@debian.org>,
  Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf,
+ dh-python,
  m4,
  pandoc,
  python-all,
@@ -35,6 +36,7 @@
  libghc-test-framework-quickcheck2-dev,
  libghc-test-framework-hunit-dev,
  libghc-temporary-dev,
+ libghc-old-time-dev,
  libpcre3-dev,
  libcurl4-openssl-dev,
  python-simplejson,
@@ -52,11 +54,11 @@
  iproute2 | iproute,
  bash-completion,
  po-debconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 X-Python-Version: >= 2.6
-Homepage: http://code.google.com/p/ganeti/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ganeti/ganeti.git
-Vcs-Git: git://anonscm.debian.org/pkg-ganeti/ganeti.git
+Homepage: https://code.google.com/p/ganeti/
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-ganeti/ganeti.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ganeti/ganeti.git
 
 Package: ganeti2
 Architecture: all
@@ -73,9 +75,9 @@
  ganeti-haskell-2.15 (<< ${source:Version}.1~),
  ganeti-htools-2.15 (>= ${source:Version}),
  ganeti-htools-2.15 (<< ${source:Version}.1~),
- adduser, ${misc:Depends}, python
-Recommends: drbd-utils | drbd8-utils (>= 8.0.7), qemu-kvm |
- xen-linux-system-amd64 | xen-linux-system-686-pae,
+ adduser, ${misc:Depends}, python, lsb-base (>= 3.0-6)
+Recommends: drbd-utils | drbd8-utils (>= 8.0.7),
+ qemu-kvm | xen-system-amd64,
  ganeti-instance-debootstrap, ndisc6
 Suggests: ganeti-doc, blktap-dkms, molly-guard
 Conflicts: ganeti-htools
@@ -100,6 +102,7 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  ${python:Depends},
+ python,
  lvm2,
  openssh-client,
  openssh-server,
