=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,12 @@
 VCS_VER = $(shell git describe --abbrev=0 --match="v*" 2>/dev/null | sed -r 's/v([0-9]+\.[0-9]+)(\..*)/\1/')
 
 GNT_USERGROUP_PREFIX="gnt-"
+
+# Set the Python interpreter path, as ganeti will use /usr/bin/python2
+# otherwise.
+
+PYTHON := /usr/bin/python
+export PYTHON
 
 %:
 	dh $@ --with python2,sphinxdoc,bash_completion,autoreconf
@@ -88,7 +94,8 @@
 
 	cp $(CURDIR)/doc/examples/ganeti.initd $(CURDIR)/debian/ganeti.init
 	cp $(CURDIR)/doc/examples/ganeti.cron $(CURDIR)/debian/ganeti.cron.d
-	cp $(CURDIR)/doc/examples/ganeti.default $(CURDIR)/debian/ganeti.default
+	sed -e 's/^RAPI_ARGS=.*/RAPI_ARGS="-b 127.0.0.1 --require-authentication"/' \
+		$(CURDIR)/doc/examples/ganeti.default > $(CURDIR)/debian/ganeti.default
 
 	# Dummy Python module for the RAPI client
 	# Add missing bits to ganeti and python-ganeti-rapi.
@@ -140,6 +147,13 @@
 
 	# Now let dh_link fix all symlinks
 	dh_link
+	
+	# Make bash completion autoloadable
+	for script in $$(grep ^complete $(CURDIR)/debian/ganeti/usr/share/bash-completion/completions/ganeti \
+		| awk '/ +[a-z_-]+$$/ { print $$NF }') ; do \
+		dh_link -pganeti "usr/share/bash-completion/completions/ganeti" \
+			         "usr/share/bash-completion/completions/$$script" ; \
+	done
 
 # Disable dh_sphinxdoc for binary-arch, as it will raise an error
 override_dh_sphinxdoc-arch:
